﻿using Serilog.Sinks.MSSqlServer;

namespace NetworkResurrector.Agent.Extensions.Serilog.Sinks.MSSqlServer
{
    public static class ColumnOptionsExtension
    {
        public static ColumnOptions AsStandard(this ColumnOptions columnOptions)
        {
            columnOptions.Store.Remove(StandardColumn.Properties);
            columnOptions.Store.Remove(StandardColumn.MessageTemplate);
            columnOptions.Store.Add(StandardColumn.LogEvent);
            columnOptions.AdditionalColumns = new System.Collections.ObjectModel.Collection<SqlColumn>
            {
                new SqlColumn() { ColumnName = "Agent", DataType = System.Data.SqlDbType.VarChar, DataLength = 100 }
            };

            return columnOptions;
        }
    }
}
